/application - POST

Creates a new loan application in the system. Creating an application will initiate the approval process. If that process is successful the application will be converted to a loan.

Body Params
string
required
length ≥ 1

Provided by the API caller. The value must be unique within the Program that the application is submitted. The value should be between 1 and 36 characters in length

date-time
required

The date the loan application was completed. It may differ from the submission date if the application was submitted later

double
required

The dollar amount the customer requested at the time of initial application.

double
required

The highest dollar amount this application qualifies for

double
required

The dollar amount that will appear on the loan agreement

double | null

The amount expected to be disbursed to the borrower after deductions

date-time | null

The UTC date-time when the partner approved the application in their system/process

double
required

The APR in a decimal format. Must be greater than 0. An 18.5% APR should be submitted as 18.5

double

The rate that exists on the note. An 18.5% rate should be submitted as 18.5

string | null

The description of the category for any collateral tied to the application

string
required
length ≥ 1

A description of the purpose of the loan

double

The probability (in percentage), as determined by the API caller, that the loan will default to. 18.5% should be submitted as 18.5

string | null

A risk score that the API caller has established for the application/borrower(s). This is a text field and can be in any form the API caller desires

string | null

A grade that the API caller has assigned to this loan application. This is a text field and can be in any form the API caller desires

boolean
required

Indicates if the loan application is governed by the Military Lending Act (MLA)

boolean
required

Indicates that the application has be verified against the Military Lending Act (MLA)

boolean
required

Indicates that the borrowers and cosigners have been OFAC checked by the API caller

promotionDetails
object

Details about the promotion associated with a loan application

borrowers
array of objects
required

The list of all the borrowers

borrowers*
cosigners
array of objects | null

The list of all the cosigners

cosigners
uuid
required

The id of the program that this application is being submitted under. A list of programs available for the Partner is available by calling the GET /program API

string
required
length ≥ 1

Assigned to this application by the caller. This value must be unique within the Program that the application is submitted under. The value needs to be more than 0 characters and up to 20 characters included

boolean

Indicates that this application should be immediately funded using the ImmediateFundingInstructions when it is approved and converted from an application to a loan

immediateFundingInstructions
array of objects | null

The list of funding instructions to be executed if the application is approved. The FundImmediatelyOnApproval flag is set to true

immediateFundingInstructions
aanReasons
array of strings | null

The list of Adverse Action Notice (AAN) Reasons collected for this application. Maximum length for each AAN Reason is 255 characters included. Anything longer than that will be trimmed. This field is required if PartnerStatus is set to Declined

aanReasons
propertyDetails
object

Details about the property associated with the loan application. This is required if the program assigned to the loan application is for Home Improvement Loans

contractors
array of objects | null

The list of Contractors associated with this application. This is required if the application program is a Home Improvement Loan

contractors
boolean | null

Indicates that the application is a result of a counteroffer process being engaged

double

The monthly payment for the application. Must be greater than 0

int32
required

The loan term for the application inputed as months. Must be greater than 0

double | null

The merchant discount rate (MDR) percentage for the application. If the value is 6.5%, provide 6.5. If the program assigned to this application is configured with a fee type of Mdr or MdrAndOrigination, this value cannot be null and should be 0.00 if no MDR is present

double | null

The merchant discount rate (MDR) amount (in dollars) for the application. This amount is subtracted from the ApprovedLoanAmount to determine the maximum amount of funds that can be disbursed on an application. If the program assigned to this application is configured with a fee type of Mdr or MdrAndOrigination, this value cannot be null and should be 0.00 if no MDR is present

double | null

The origination fee percentage for the application. If the value is six point five percent, provide 6.5. If the program assigned to this application is configured with a fee type of Origination or MdrAndOrigination, this value cannot be null and should be 0.00 if no origination fee is present

double | null

The origination fee amount (in dollars) for the application. This amount is subtracted from the ApprovedLoanAmount to determine the maximum amount of funds that can be disbursed on an application. If the program assigned to this application is configured with a fee type of Origination or MdrAndOrigination, this value cannot be null and should be 0.00 if no origination fee is present

double | null

The factor used to calculate the monthly payment

string
enum
required
Allowed:
string | null

The reason for the partner setting the indicated PartnerStatus state

string | null

The channel that the API caller acquired this application from. This can be any value as determined by the API caller, but the values provided should be consistently used

stagedFundingDetails
object
Headers
uuid
required

Unique request idenitfier for idempotency.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Choose an example:
application/json
text/json
application/problem+json